Subject: [tsvwg] Correction to Curvy RED in draft-ietf-tsvwg-aqm-dualq-coupled-12

From: Bob Briscoe <[email-masked]>
Date: Mon, 27 Jul 2020 23:47:46 +0100

tsvwg folks,

We've just posted a small update to draft-ietf-tsvwg-aqm-dualq-coupled . 
Links below.

You can look yourself at the diff linked below. For your convenience 
here's a brief summary:
* Updated references.
* Corrected Curvy RED appendix, which mistakenly used the instantaneous 
queue for the Classic AQM, not the smoothed queue.

Thanks to Gabi Bracha and colleagues who picked up my mistake during 
implementation in Broadcom's BCM88800 chipset, which they recently 
productized for some selected channels. Fortunately, they were 
suspicious it was a mistake and implemented the correct option as well 
as the one I had written.

BTW, Gabi is keen to find anyone interested in doing full system tests 
with their chipset (see archive of this list for his @).

Cheers

Bob

On 27/07/2020 23:22, [email-masked] wrote:
> A new version of I-D, draft-ietf-tsvwg-aqm-dualq-coupled-12.txt
> has been successfully submitted by Bob Briscoe and posted to the
> IETF repository.
>
> Name:		draft-ietf-tsvwg-aqm-dualq-coupled
> Revision:	12
> Title:		DualQ Coupled AQMs for Low Latency, Low Loss and Scalable Throughput (L4S)
> Document date:	2020-07-27
> Group:		tsvwg
> Pages:		53
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-tsvwg-aqm-dualq-coupled-12.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-tsvwg-aqm-dualq-coupled/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-tsvwg-aqm-dualq-coupled-12
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-tsvwg-aqm-dualq-coupled
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-aqm-dualq-coupled-12
>
> Abstract:
>     The Low Latency Low Loss Scalable Throughput (L4S) architecture
>     allows data flows over the public Internet to achieve consistent low
>     queuing latency, generally zero congestion loss and scaling of per-
>     flow throughput without the scaling problems of standard TCP Reno-
>     friendly congestion controls.  To achieve this, L4S data flows have
>     to use one of the family of 'Scalable' congestion controls (TCP
>     Prague and Data Center TCP are examples) and a form of Explicit
>     Congestion Notification (ECN) with modified behaviour.  However,
>     until now, Scalable congestion controls did not co-exist with
>     existing Reno/Cubic traffic --- Scalable controls are so aggressive
>     that 'Classic' (e.g.  Reno-friendly) algorithms sharing an ECN-
>     capable queue would drive themselves to a small capacity share.
>     Therefore, until now, L4S controls could only be deployed where a
>     clean-slate environment could be arranged, such as in private data
>     centres (hence the name DCTCP).  This specification defines `DualQ
>     Coupled Active Queue Management (AQM)', which enables Scalable
>     congestion controls that comply with the Prague L4S requirements to
>     co-exist safely with Classic Internet traffic.
>
>     Analytical study and implementation testing of the Coupled AQM have
>     shown that Scalable and Classic flows competing under similar
>     conditions run at roughly the same rate.  It achieves this
>     indirectly, without having to inspect transport layer flow
>     identifiers.  When tested in a residential broadband setting, DCTCP
>     also achieves sub-millisecond average queuing delay and zero
>     congestion loss under a wide range of mixes of DCTCP and `Classic'
>     broadband Internet traffic, without compromising the performance of
>     the Classic traffic.  The solution has low complexity and requires no
>     configuration for the public Internet.
>
>                                                                                    
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
>

-- 
________________________________________________________________
Bob Briscoe                               http://bobbriscoe.net/